Bug 806197 - When doing a minimal install, the generated /root/anaconda-ks.cfg does not suppress the 'base' group
When doing a minimal install, the generated /root/anaconda-ks.cfg does not su...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 03:43 EDT by Adam Williamson
Modified: 2013-04-10 10:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-10 10:31:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-03-23 03:43:53 EDT
When you do a minimal install interactively, the 'base' package group is suppressed: only the 'core' and 'online-docs' groups are selected.

However, the /root/anaconda-ks.cfg written out by the installer does not reflect the suppression of the 'base' group. Its %packages section reads simply:

%packages
@core
@online-docs
%end

So when you do an installation using this kickstart you get a different and much larger set of packages installed than you got from the original interactive installation. It should read:

%packages
-@base
@core
@online-docs
%end

I think.
Comment 1 Chris Lumens 2012-09-05 11:47:24 EDT
With notting's patches to anaconda-patches list to get rid of the --nobase argument, I believe this should magically become fixed.

Note You need to log in before you can comment on or make changes to this bug.